Sign in to follow this  
Followers 0
ZZK-Gaming

Exile Linux Server [MySQL,BattlEye] einbinden. Wie?

23 posts in this topic

Mahlzeit, und weil ich es noch nicht hier gesagt habe auch ein Frohes Neues. Ich habe mir vor ein paar Tagen ein Root Server gekauft. Nun hab ich da drauf ein Arma 3 Server installiert, aber scheitere schon bei der MySQL wie ich sie einbinde. Gibt es eine einfache Anleitung die auch auf Deutsch ist?

Hab schon hier nach geguckt, aber wie er das alles macht wurde nicht erklärt. Schade  Klick mich

Betriebsystem: Debian 7

 

Share this post


Link to post
Share on other sites

Posted (edited)

Hey,

 

Allso auf Debian 7 ist es natürlich möglich den ExileServer laufen zu lassen,

jedoch musst du da einiges an Libs etc Nachinstallieren da extDB2 Debian 8 / Centos7 / Ubuntu14.10  voraussetzt

bzw. Glibc 2.17 oder neuer..

 

siehe: https://github.com/Torndeco/extDB2

 

Ich habe meine Server auf Debian 8 und die beziehen die Datenbank bei mir von einem 2. rootserver

mit Debian 7 und Plesk..

 

funktioniert 1a ;)

Edited by SurvivalZ
1 person likes this

Share this post


Link to post
Share on other sites
Advertisement

Posted (edited)

sry, doppelpost ;/

Edited by SurvivalZ
1 person likes this

Share this post


Link to post
Share on other sites
On 9.1.2016 at 1:58 PM, SurvivalZ said:

Hey,

 

Allso auf Debian 7 ist es natürlich möglich den ExileServer laufen zu lassen,

jedoch musst du da einiges an Libs etc Nachinstallieren da extDB2 Debian 8 / Centos7 / Ubuntu14.10  voraussetzt

bzw. Glibc 2.17 oder neuer..

 

siehe: https://github.com/Torndeco/extDB2

 

Ich habe meine Server auf Debian 8 und die beziehen die Datenbank bei mir von einem 2. rootserver

mit Debian 7 und Plesk..

 

funktioniert 1a ;)

Ich Danke dir schon mal für deine Antwort. Hast du genau Anhaltspunkter welche lib version alles installiert werden muss? Hatte damals schlechte Erfahrung mit Debian 8 gehabt, ein anderer hatte mir damit mein ganzes System zerschossen und konnte noch zum Teil Daten retten. Aber gut das das schon mal geht ^^

 

Bin immer noch nicht weiter gekommen, arbeit und so. Hoffe kannst mir da bissen helfen.. :)

Share this post


Link to post
Share on other sites

Hey,

 

beschreibe einfach mal kurz was du gemacht hast ?

für die neue Version von Exile brauchst du auch die mySQL Version 5.6 +

 

Wie ist dein System konfiguriert ? benutzt du Plesk mit allem oder einfach

gehalten mit LAMP ?

 

n paar daten wären gut :)

 

Server schon aufgesetzt und was sagt ldd extdb2.so ?
 

mfg adminx2

Share this post


Link to post
Share on other sites

Ich habe den Server installiert per steamcmd.sh danach die benötigten Mods runterladen. Paar Lib Versionen hatte ich schon vorher installiert, nun weiß ich nicht welche Arma 3 benötigt.

Webserver:

  • Apache/2.2.22 (Debian)
  • MySQL-Client-Version: 5.5.46

Ich benutze ganz einfach PhpMyAdmin. Server ist nur installiert und Mods wurden eingefügt, alles andere wollte ich noch machen, aber zum Teil nicht rangetraut^^ Hatte öfters schlechte Erfahrung gemacht, darum gehe ich nochmal auf Nummer sicher und frage lieber nochmal nach wie es geht.

Ansonsten schönen Abend noch. :)

Share this post


Link to post
Share on other sites

Hey,

 

jo da ich ja aktuell Debian 8 benutze kann ich dir da nun ein paar anhaltspunkte geben wie ich es machen würde...

 

Wenn ich mich recht entsinne ust deine MySql 5.5.46 zu alt ... die nimmt den dump nicht an ...

dies kannst du aber am einfachsten testen wenn du die neuste version des  exile mysql dumps einspielst

und guckst ob du da eine fehlermeldung bekommst ...

 

Welche libs du benötigst würde ich auch dann nachträglich installieren wenn der Server Theoretisch fertig installiert

und die mysql Daten eingetragen sind.

 

wenn du das alles gemacht hast checkst du mit :

ldd extDB2.so

ob du alle benötogten libs etc. installiert hast.

 

mfg und schönen Tag noch

 

 

Share this post


Link to post
Share on other sites

grml schon wieder Doppelpost ;/

Edited by SurvivalZ

Share this post


Link to post
Share on other sites
12 hours ago, SurvivalZ said:

Hey,

jo da ich ja aktuell Debian 8 benutze kann ich dir da nun ein paar anhaltspunkte geben wie ich es machen würde...

Wenn ich mich recht entsinne ust deine MySql 5.5.46 zu alt ... die nimmt den dump nicht an ...

dies kannst du aber am einfachsten testen wenn du die neuste version des  exile mysql dumps einspielst

und guckst ob du da eine fehlermeldung bekommst ...

Welche libs du benötigst würde ich auch dann nachträglich installieren wenn der Server Theoretisch fertig installiert

und die mysql Daten eingetragen sind.

wenn du das alles gemacht hast checkst du mit :


ldd extDB2.so

ob du alle benötogten libs etc. installiert hast.

mfg und schönen Tag noch

 

Danke für deine Antwort^^

Wenn ich die exile.sql importiere, kommt das hier

Quote

Fehler

MySQL meldet: Dokumentation

#1067 - Invalid default value for 'first_connect_at'

Sprich müsste ich das hier machen? ----> How to upgrade MySQL server on Debian or Ubuntu

Naja Thema lib, müsste ich denke mal erst MySQL Updaten....^^ oder liege ich das falsch?`

Edited by ZZK-Gaming

Share this post


Link to post
Share on other sites

Bin die ganze Zeit am Probieren, doch kriege es irgendwie nicht gebacken^^ *shit*

Die Ausgabe von extDB2.so ist

arma3@GPR0491:~/arma3/@ExileServer$ ldd extDB2.so
./extDB2.so: /lib/i386-linux-gnu/i686/cmov/libc.so.6: version `GLIBC_2.15' not f            ound (required by ./extDB2.so)
./extDB2.so: /lib/i386-linux-gnu/i686/cmov/libc.so.6: version `GLIBC_2.17' not f            ound (required by ./extDB2.so)
        linux-gate.so.1 =>  (0xf7707000)
        libtbbmalloc.so.2 => not found
        libdl.so.2 => /lib/i386-linux-gnu/i686/cmov/libdl.so.2 (0xf6bb0000)
        libm.so.6 => /lib/i386-linux-gnu/i686/cmov/libm.so.6 (0xf6b89000)
        libpthread.so.0 => /lib/i386-linux-gnu/i686/cmov/libpthread.so.0 (0xf6b7            0000)
        libc.so.6 => /lib/i386-linux-gnu/i686/cmov/libc.so.6 (0xf6a0c000)
        /lib/ld-linux.so.2 (0xf7708000)
arma3@GPR0491:~/arma3/@ExileServer$

Könnte man sich mal im TeamSpeak 3 Server treffen?

Share this post


Link to post
Share on other sites
Advertisement

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
Sign in to follow this  
Followers 0

  • Recently Browsing   0 members

    No registered users viewing this page.